
<ion-content >
  <h1 class="header">Enter your<br> phone<br> number: </h1>
  <form [formGroup]="validations_form"  (ngSubmit)="onSubmit(validations_form.value)">
    <div formGroupName="country_phone">
      <ion-item>
        <ion-label position="floating" color="primary">Country</ion-label>
        <ion-select formControlName="country" cancelText="Cancel" okText="OK">
          <ion-select-option *ngFor="let item of countries" [value]="item">{{item.name}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label position="floating" color="primary">Phone</ion-label>
        <ion-input placeholder="{{ validations_form.value.country_phone.country.sample_phone }}" type="text" formControlName="phone"></ion-input>
      </ion-item>
      <div class="validation-errors">
        <ng-container *ngFor="let validation of validation_messages.phone">
          <div class="error-message" *ngIf="validations_form.get('country_phone').get('phone').hasError(validation.type) && (validations_form.get('country_phone').get('phone').dirty || validations_form.get('country_phone').get('phone').touched)">
            <ion-icon name="information-circle-outline"></ion-icon> {{ validation.message }}
          </div>
        </ng-container>
      </div>
    </div>
     </form>
    <ion-button (click)="updatePhoneNumber()" color="tertiary" expand="block" class="contbutton">Next Step</ion-button>
</ion-content>
